Index: Singular/LIB/atkins.lib
===================================================================
--- Singular/LIB/atkins.lib	(revision fba86f89b3458187b40c5f0d5f6408412d98d295)
+++ Singular/LIB/atkins.lib	(revision 7d56875cf7720719f5b6acd193768a4d5b57848f)
@@ -1,4 +1,4 @@
 ///////////////////////////////////////////////////////////////////////////////
-version="$Id: atkins.lib,v 1.4 2007-07-20 11:26:46 Singular Exp $";
+version="$Id: atkins.lib,v 1.5 2008-10-09 09:31:57 Singular Exp $";
 category="Teaching";
 info="
@@ -776,5 +776,5 @@
           K is input for the procedure "HilbertClassPolynomial",
           B describes the number of recursions being calculated
-        - The basis of the the algorithm is the following theorem:
+        - The basis of the algorithm is the following theorem:
           Let N be an integer coprime to 6 and different from 1 and E be an
           ellipic curve modulo N. Assume that we know an integer m and a
Index: Singular/LIB/crypto.lib
===================================================================
--- Singular/LIB/crypto.lib	(revision fba86f89b3458187b40c5f0d5f6408412d98d295)
+++ Singular/LIB/crypto.lib	(revision 7d56875cf7720719f5b6acd193768a4d5b57848f)
@@ -1,5 +1,5 @@
 //GP, last modified 28.6.06
 ///////////////////////////////////////////////////////////////////////////////
-version="$Id: crypto.lib,v 1.5 2008-08-07 16:00:50 Singular Exp $";
+version="$Id: crypto.lib,v 1.6 2008-10-09 09:31:57 Singular Exp $";
 category="Teaching";
 info="
@@ -1906,5 +1906,5 @@
          m,q integers
 ASSUME: gcd(N,6)=1
-NOTE:   The basis of the the algorithm is the following theorem:
+NOTE:   The basis of the algorithm is the following theorem:
          Given C, an elliptic curve over Z/N, P a point of C(Z/N),
          m an integer, q a prime with the following properties:
Index: Singular/LIB/dmodapp.lib
===================================================================
--- Singular/LIB/dmodapp.lib	(revision fba86f89b3458187b40c5f0d5f6408412d98d295)
+++ Singular/LIB/dmodapp.lib	(revision 7d56875cf7720719f5b6acd193768a4d5b57848f)
@@ -1,4 +1,4 @@
 //////////////////////////////////////////////////////////////////////////////
-version="$Id: dmodapp.lib,v 1.9 2008-10-06 17:04:26 Singular Exp $";
+version="$Id: dmodapp.lib,v 1.10 2008-10-09 09:31:57 Singular Exp $";
 category="Noncommutative";
 info="
@@ -75,5 +75,5 @@
 @*       graded ring while the Groebner basis is a subset of D.
 @*       If s<>0, @code{std} is used for Groebner basis computations, otherwise,
-@*       and by default, @code{slimgb} is used. 
+@*       and by default, @code{slimgb} is used.
 @*       If t<>0, a matrix ordering is used for Groebner basis computations,
 @*       otherwise, and by default, a block ordering is used.
@@ -124,7 +124,7 @@
 NOTE:    Activate the output ring with the @code{setring} command.
 @*       Varnames of the basering should not include t and Dt.
-@*       In the ouput ring, inF is is the initial Malgrange ideal.
+@*       In the ouput ring, inF is the initial Malgrange ideal.
 @*       If s<>0, @code{std} is used for Groebner basis computations, otherwise,
-@*        and by default, @code{slimgb} is used. 
+@*        and by default, @code{slimgb} is used.
 @*       If t<>0, a matrix ordering is used for Groebner basis computations,
 @*       otherwise, and by default, a block ordering is used.
@@ -136,5 +136,5 @@
 EXAMPLE: example initialmalgrange; shows examples
 "
-{ 
+{
   int ppl = printlevel - voice +2;
   def save = basering;
@@ -161,5 +161,5 @@
         {
           reversevars = int(#[3]);
-	}
+        }
         if (size(#)>3)
         {
@@ -167,6 +167,6 @@
           {
             u0 = #[4];
-	  }
-	}
+          }
+        }
       }
     }
@@ -272,9 +272,9 @@
       if (calledfrom == "initialideal")
       {
-	ring Dh = 0,(x(1..n),D(1..n),h),(a(@a),dp(noofvars-1),lp(1));
+        ring Dh = 0,(x(1..n),D(1..n),h),(a(@a),dp(noofvars-1),lp(1));
       }
       else // bfctonestep
       {
-	ring Dh = 0,(t,s,x(n..1),Dt,D(n..1),h),(a(@a),a(@a2),a(uv),dp(noofvars-1),lp(1));
+        ring Dh = 0,(t,s,x(n..1),Dt,D(n..1),h),(a(@a),a(@a2),a(uv),dp(noofvars-1),lp(1));
       }
     }
@@ -299,9 +299,9 @@
       if (calledfrom == "initialideal")
       {
-	ring Dh = 0,(x(1..n),D(1..n),h),(a(@a),M(@Ord));
+        ring Dh = 0,(x(1..n),D(1..n),h),(a(@a),M(@Ord));
       }
       else // bfctonestep
       {
-	ring Dh = 0,(t,s,x(n..1),Dt,D(n..1),h),(a(@a),a(@a2),M(@Ord));
+        ring Dh = 0,(t,s,x(n..1),Dt,D(n..1),h),(a(@a),a(@a2),M(@Ord));
       }
     }
@@ -323,5 +323,5 @@
       for (i=1; i<=n; i++)
       {
-	@relD[i,n+i] = h^2;
+        @relD[i,n+i] = h^2;
       }
     }
@@ -333,5 +333,5 @@
       for (i=1; i<=n; i++)
       {
-	@relD[i+2,n+3+i] = h^2;
+        @relD[i+2,n+3+i] = h^2;
       }
     }
@@ -361,5 +361,5 @@
       I = I,t*Dt-s;
     }
-  }  
+  }
   dbprint(ppl, "starting Groebner basis computation with engine:", whichengine);
   I = engine(I, whichengine);
@@ -379,5 +379,5 @@
       if (varnames[i] == "t")
       {
-	ERROR("Variable names should not include t");
+        ERROR("Variable names should not include t");
       }
     }
@@ -403,6 +403,6 @@
       for (i=1; i<=n; i++)
       {
-	newvarnames[i+1] = varnames[i];
-	newvarnames[i+n+2] = "D"+varnames[i];
+        newvarnames[i+1] = varnames[i];
+        newvarnames[i+n+2] = "D"+varnames[i];
       }
       rl[2] = newvarnames;
@@ -490,5 +490,5 @@
       }
     }
-    J[j] = g;  
+    J[j] = g;
   }
   if (typeof(#[1])=="poly")
@@ -537,5 +537,5 @@
   list LL = ringlist(save);
   list L;
-  int i; 
+  int i;
   for(i=1;i<=4;i++)
   {
@@ -562,5 +562,5 @@
   matrix @D = ncr[2];
   def @U = ring(L);
-  // 2. create the commutative ring  
+  // 2. create the commutative ring
   setring save;
   list CL;
@@ -606,5 +606,5 @@
 // TODO
 static proc charInfo(ideal I)
-"USAGE:  charInfo(I);  I an ideal 
+"USAGE:  charInfo(I);  I an ideal
 RETURN:  ring
 STATUS: experimental, todo
@@ -740,5 +740,5 @@
 proc isFsat(ideal I, poly F)
 "USAGE:  isFsat(I, F);  I an ideal, F a poly
-RETURN: int 
+RETURN: int
 PURPOSE: check whether the ideal I is F-saturated
 NOTE:    1 is returned if I is F-saturated, otherwise 0 is returned
@@ -815,7 +815,7 @@
   def R = Weyl();    setring R;
   poly F = x2-y3;
-  ideal I = (y^3 - x^2)*Dx - 2*x, (y^3 - x^2)*Dy + 3*y^2; // I = Dx*F, Dy*F; 
+  ideal I = (y^3 - x^2)*Dx - 2*x, (y^3 - x^2)*Dy + 3*y^2; // I = Dx*F, Dy*F;
   DLoc(I, x2-y3);
-  LD0; 
+  LD0;
   BS;
 }
@@ -871,5 +871,5 @@
   ideal bbs; int srat=0; int HasRatRoots = 0;
   int sP;
-  for (i=1; i<= size(bs); i++) 
+  for (i=1; i<= size(bs); i++)
   {
     if (deg(bs[i]) == 1)
@@ -920,5 +920,5 @@
       // no roots!
       dbprint(ppl,"// -2-4- no integer root, setting s0 = -1");
-      sP = -1; 
+      sP = -1;
       //      HasRatRoots = 0; // older stuff, here we do substitution
       HasRatRoots = 1;
@@ -1017,5 +1017,5 @@
     kill @R3;
     setring @R4;
-    ideal bs = imap(@R2,bs); // only rationals are the entries 
+    ideal bs = imap(@R2,bs); // only rationals are the entries
     list BS; BS[1] = bs; BS[2] = m;
     export BS;
@@ -1026,8 +1026,8 @@
     ideal LD0 = K4;
     export LD0;
-    return(@R4);    
+    return(@R4);
   }
   else
-  { 
+  {
     /* SHOULD NEVER GET THERE */
     /* no rational/integer roots */
@@ -1039,5 +1039,5 @@
     export BS;
     return(@R2);
-  }  
+  }
 }
 example;
@@ -1047,8 +1047,8 @@
   def R = Weyl();    setring R;
   poly F = x2-y3;
-  ideal I = (y^3 - x^2)*Dx - 2*x, (y^3 - x^2)*Dy + 3*y^2; // I = Dx*F, Dy*F; 
+  ideal I = (y^3 - x^2)*Dx - 2*x, (y^3 - x^2)*Dy + 3*y^2; // I = Dx*F, Dy*F;
   def W = SDLoc(I,F);  setring W; // creates ideal LD
   def U = DLoc0(LD, x2-y3);  setring U;
-  LD0; 
+  LD0;
   BS;
 }
@@ -1435,5 +1435,5 @@
   def R = Weyl();   setring R;
   poly F = x2-y3;
-  ideal I = (y^3 - x^2)*Dx - 2*x, (y^3 - x^2)*Dy + 3*y^2; // I = Dx*F, Dy*F; 
+  ideal I = (y^3 - x^2)*Dx - 2*x, (y^3 - x^2)*Dy + 3*y^2; // I = Dx*F, Dy*F;
   def W = SDLoc(I,F);
   setring W;
@@ -1442,5 +1442,5 @@
   setring U;
   LD0;
-  BS; 
+  BS;
   // the same with DLoc:
   setring R;
Index: Singular/LIB/gmssing.lib
===================================================================
--- Singular/LIB/gmssing.lib	(revision fba86f89b3458187b40c5f0d5f6408412d98d295)
+++ Singular/LIB/gmssing.lib	(revision 7d56875cf7720719f5b6acd193768a4d5b57848f)
@@ -1,4 +1,4 @@
 ///////////////////////////////////////////////////////////////////////////////
-version="$Id: gmssing.lib,v 1.11 2007-01-23 15:03:30 Singular Exp $";
+version="$Id: gmssing.lib,v 1.12 2008-10-09 09:31:57 Singular Exp $";
 category="Singularities";
 
@@ -8,5 +8,5 @@
 AUTHOR:   Mathias Schulze, email: mschulze@mathematik.uni-kl.de
 
-OVERVIEW: A library to compute invariants related to the the Gauss-Manin system
+OVERVIEW: A library to compute invariants related to the Gauss-Manin system
           of an isolated hypersurface singularity
 
Index: Singular/LIB/homolog.lib
===================================================================
--- Singular/LIB/homolog.lib	(revision fba86f89b3458187b40c5f0d5f6408412d98d295)
+++ Singular/LIB/homolog.lib	(revision 7d56875cf7720719f5b6acd193768a4d5b57848f)
@@ -1,4 +1,4 @@
 ///////////////////////////////////////////////////////////////////////////////
-version="$Id: homolog.lib,v 1.26 2008-09-09 09:54:30 Singular Exp $";
+version="$Id: homolog.lib,v 1.27 2008-10-09 09:31:57 Singular Exp $";
 category="Commutative Algebra";
 info="
@@ -137,5 +137,5 @@
    dbprint(p-1,"// kbase of Ext^2(M,M)",
              "//  - the columns present the kbase elements in Hom(F(2),F(0))",
-             "//  - F(*) is a a free resolution of M ",kb2);
+             "//  - F(*) is a free resolution of M ",kb2);
 //-------  compute: cup-products of base-elements -----------------------------
    for (i=1;i<=e1;i=i+1)
Index: Singular/LIB/phindex.lib
===================================================================
--- Singular/LIB/phindex.lib	(revision fba86f89b3458187b40c5f0d5f6408412d98d295)
+++ Singular/LIB/phindex.lib	(revision 7d56875cf7720719f5b6acd193768a4d5b57848f)
@@ -1,4 +1,4 @@
 //////////////////////////////////////////////////////////////////////////////
-version="$Id: phindex.lib,v 1.2 2008-08-18 10:42:27 Singular Exp $";
+version="$Id: phindex.lib,v 1.3 2008-10-09 09:31:57 Singular Exp $";
 category=" ";
 info="
@@ -495,5 +495,5 @@
 static proc SigntL(poly M)  //static procedure to compute the signature of any quadratic form.
 "USAGE:    SigntL(M); M is a quadratic form.
-RETURN:   The signature of of M of type int.
+RETURN:   The signature of M of type int.
 ASSUME:   M is a quadratic form (ply type).
 "
Index: Singular/LIB/primdec.lib
===================================================================
--- Singular/LIB/primdec.lib	(revision fba86f89b3458187b40c5f0d5f6408412d98d295)
+++ Singular/LIB/primdec.lib	(revision 7d56875cf7720719f5b6acd193768a4d5b57848f)
@@ -1,4 +1,4 @@
 ///////////////////////////////////////////////////////////////////////////////
-version="$Id: primdec.lib,v 1.139 2008-03-19 17:44:38 Singular Exp $";
+version="$Id: primdec.lib,v 1.140 2008-10-09 09:31:57 Singular Exp $";
 category="Commutative Algebra";
 info="
@@ -5606,5 +5606,5 @@
 //
 // Computes the radical of I using KL algorithm.
-// The only difference with the the previous implementation of KL algorithm is
+// The only difference with the previous implementation of KL algorithm is
 // that now it uses block dp instead of lp ordering for the reduction to the
 // zerodimensional case.
@@ -5730,5 +5730,5 @@
 //                 0 -> Otherwise
 // ideal ser       Only for radicalKL. (Same as in radicalKL)
-// list #          Only for radicalKL (If #[1] = 1, 
+// list #          Only for radicalKL (If #[1] = 1,
 //                    only equiradical is required.
 //                    It is used to set the value of done.)
